Page MenuHomePhabricator

UploadWizard should indicate that statements are being submitted
Closed, ResolvedPublic

Description

We have this

When submitting metadata (depicts) via UploadWizard, the statement widget goes into read mode, but doesn't show any other indication of being submitted.
If people are submitting a lot of statements, it could take a few seconds before all of them have been submitted, and it is not clear that anything is happening.

We want this

Similar to the details step, we need to indicate that something is happening.
We could either replace the entire content (or just the widgets) with some "statements are being published" message, or show a spinner, or ...

Acceptance Criteria

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

  • When submitting statements in UploadWizard's 'Add data' step, there should be an indication that something is happening

QA Results

ACStatusDetails
1T222361#5293161

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterIndicate that statements have been submitted on Metadata step

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2019, 11:56 AM
Ramsey-WMF triaged this task as Medium priority.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ramsey-WMF added subscribers: PDrouin-WMF, Ramsey-WMF.

Thoughts on the best way to display this, @PDrouin-WMF ?

I'd like to keep it consistent with the right-justified spinner we already use on the Upload and Publish file steps -- with similar text as well to the left of it? We could say "Submitting structured data..." or something to that effect.

@PDrouin-WMF I can take a stab at this if using the already-existing spinner element is ok. Haven't done much in the UW codebase yet, this would be a good excuse to dig a bit deeper.

@egardner sounds good! thank you.

Hey @PDrouin-WMF: I spent some time poking around in UW yesterday. I'm afraid that the solution you proposed above (placing a spinner to the right as in previous steps) is not feasible for the "Add Data" screen. That's because this step can accommodate multiple files at once, in which case there is a "booklet" layout (you can click which image you want to add details to on the left-hand submenu, and the right-hand area is filled with information about that file).

What do you think about doing this instead:

Whether the user is uploading one file or several files, the idea is that a large spinner and a transparent overlay would cover the entire form once they submit statements, to make it really obvious that something is happening. If this is an acceptable solution, I can have a patch up for it later today.

I like this solution. At what height on the screen would the spinner appear? I'd like to see it in the upper third of the screen, if possible.

Right now I'm just centering it horizontally and vertically on top of the form.

Change 511961 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/UploadWizard@master] Indicate that statements have been submitted on Metadata step

https://gerrit.wikimedia.org/r/511961

egardner claimed this task.May 22 2019, 7:36 PM
egardner moved this task from Doing to Code Review on the Structured-Data-Team-Current-Work board.

Change 511961 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Indicate that statements have been submitted on Metadata step

https://gerrit.wikimedia.org/r/511961

Edtadros reassigned this task from Edtadros to Ramsey-WMF.Jun 28 2019, 7:32 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

QA Steps/Acceptance Criteria

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard
✅ AC1: When submitting statements in UploadWizard's 'Add data' step, there should be an indication that something is happening

Edtadros updated the task description. (Show Details)Jun 28 2019, 7:33 PM
Ramsey-WMF closed this task as Resolved.Jul 31 2019, 9:09 PM

On production we use the spinner design pattern and it works as expected.